tigase.auth

## Class CallbackHandlerFactory

- java.lang.Object
- - tigase.auth.CallbackHandlerFactory

- All Implemented Interfaces:
    CallbackHandlerFactoryIfc

      @Bean(name="callback-handler-factory",
            parent=TigaseSaslProvider.class,
            active=true)
      public class CallbackHandlerFactory
      extends Object
      implements CallbackHandlerFactoryIfc

  Factory of CallbackHandlers.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTH_JID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallbackHandlerFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CallbackHandler` | `create(String mechanismName, XMPPResourceConnection session, NonAuthUserRepository repo)`
    `protected String` | `getHandlerClassname(String mechanismName, XMPPResourceConnection session, NonAuthUserRepository repo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.auth.callbacks.CallbackHandlerFactoryIfc

      `create`

- - ### Field Detail

    - #### AUTH_JID

          public static final String AUTH_JID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CallbackHandlerFactory

          public CallbackHandlerFactory()

  - ### Method Detail

    - #### create

          public CallbackHandler create(String mechanismName,
                                        XMPPResourceConnection session,
                                        NonAuthUserRepository repo)
                                 throws ClassNotFoundException,
                                        InstantiationException,
                                        IllegalAccessException

      Specified by:
        `create` in interface `CallbackHandlerFactoryIfc`
      Throws:
        `ClassNotFoundException`
        `InstantiationException`
        `IllegalAccessException`

    - #### getHandlerClassname

          protected String getHandlerClassname(String mechanismName,
                                               XMPPResourceConnection session,
                                               NonAuthUserRepository repo)

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.